Eval Script

Eval Script
Evaluate script

Evaluate a script on the current debug location of the workflow execution.

Request
URI
POST
https://ip-42.net-99.vm.sof-mbu.broadcom.net/vco/api/debugger/{executionId}/eval
COPY
Path Parameters
string
executionId
Required

executionId


Request Body
WsEvaluate of type(s) application/json
Required
{
    "scripts": [
        "string"
    ]
}
array of string
scripts
Optional

scripts

Authentication
This operation uses the following authentication methods.
Responses
200

The request is successful

Returns WsVariables of type(s) application/json
{
    "variables": [
        {
            "value": {
                "0": "V",
                "1": "a",
                "2": "l",
                "3": "u",
                "4": "e",
                "5": " ",
                "6": "O",
                "7": "b",
                "8": "j",
                "9": "e",
                "10": "c",
                "11": "t"
            },
            "name": "string",
            "type": "Example types are: SecureString, MimeAttachment, Regexp, Array/VC:VirtualMachine, boolean, string and etc.",
            "description": "string",
            "scope": "string",
            "updated": false,
            "encrypt-value": false
        }
    ]
}
array of object
variables
Optional

variables


401

The user is not authorized

Returns WsVariables of type(s) application/json
"WsVariables Object"
array of object
variables
Optional

variables


404

Cannot find a workflow with the specified ID or the user does not have 'read' access rights for that workflow

Returns WsVariables of type(s) application/json
"WsVariables Object"
array of object
variables
Optional

variables


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/vco/api/debugger/{executionId}/eval